LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSheetPastable Interface Referencepublished

represents a sheet into which contents of the clipboard can be pasted. More...

`import"XSheetPastable.idl";`

Inheritance diagram for XSheetPastable:

## Public Member Functions
void | paste ([in] com::sun::star::table::CellAddress aDestination)
| pastes the contents of the clipboard at the specified position on the sheet. More...
void | pasteFormat ([in] com::sun::star::table::CellAddress aDestination, [in] string aFormat)
| pastes the contents of the clipboard at the specified position on the sheet, using the specified format. More...
void | pasteCellRange ([in] com::sun::star::table::CellRangeAddress aDestination, [in] com::sun::star::sheet::PasteOperation nOperation, [in] short nContents, [in] boolean bSkipEmpty, [in] boolean bTranspose, [in] boolean bAsLink, [in] com::sun::star::sheet::CellInsertMode nInsert)
| pastes clipboard data from a cell range into another cell range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a sheet into which contents of the clipboard can be pasted.

Deprecated:

## Member Function Documentation

## ◆ paste()

void paste | ( | [in] com::sun::star::table::CellAddress | aDestination | ) |

pastes the contents of the clipboard at the specified position on the sheet.

## ◆ pasteCellRange()

void pasteCellRange | ( | [in] com::sun::star::table::CellRangeAddress | aDestination,
|  | [in] com::sun::star::sheet::PasteOperation | nOperation,
|  | [in] short | nContents,
|  | [in] boolean | bSkipEmpty,
|  | [in] boolean | bTranspose,
|  | [in] boolean | bAsLink,
|  | [in] com::sun::star::sheet::CellInsertMode | nInsert
| ) |  |

pastes clipboard data from a cell range into another cell range.

The contents of the clipboard must be from a cell range.

## ◆ pasteFormat()

void pasteFormat | ( | [in] com::sun::star::table::CellAddress | aDestination,
|  | [in] string | aFormat
| ) |  |

pastes the contents of the clipboard at the specified position on the sheet, using the specified format.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetPastable.idl